package com.cool.bang.common.base;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 审核
 *
 * @author PeiZhi Guo
 * 2023-2-7 15:49
 */
public class BaseExamine implements Serializable {

    private static final long serialVersionUID = 1L;

    /** 业务主键 */
    @NotNull( message = "审批主键")
    private Long id;

    /** 审批状态 0驳回 1通过 */
    @NotNull( message = "审批状态")
    private Integer status;

    /** 审批备注 */
    private String examine;

    /** 支付密码 */
    private String mm;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getExamine() {
        return examine;
    }

    public void setExamine(String examine) {
        this.examine = examine;
    }

    public String getMm() {
        return mm;
    }

    public void setMm(String mm) {
        this.mm = mm;
    }
}
